## apport 2.28.1

=== debian/changelog ===
apport (2.28.1-0ubuntu3.8) noble-security; urgency=medium

  * SECURITY REGRESSION: exception during core dump handling (LP: #2112466)
    - d/p/apport-Do-not-hide-FileNotFoundError-during-crash-handlin.patch:
      Do not hide FileNotFoundError during crash handling.

 -- Octavio Galland <octavio.galland@canonical.com>  Tue, 08 Jul 2025 11:50:50 -0300

apport (2.28.1-0ubuntu3.7) noble-security; urgency=medium

  * SECURITY REGRESSION: apport not generating core dumps inside containers
    (LP: #2112272)
    - d/p/check-exe-mtime.patch: Check the exe mtime within the proc root
      mount.

 -- Octavio Galland <octavio.galland@canonical.com>  Wed, 04 Jun 2025 15:59:08 -0300

apport (2.28.1-0ubuntu3.6) noble-security; urgency=medium

  * SECURITY UPDATE: Insecure report permissions (LP: #2106338)
    - d/p/apport-Do-not-change-report-group-to-report-owners-primar.patch: Do
      not change report group to report owners primary group.
    - CVE-2025-5467
  * SECURITY UPDATE: Race condition when forwarding core files to containers
    (LP: #2107472)
    - d/p/apport-move-consistency_checks-call-further-up.patch: Move
      consistency_checks call further up.
    - d/p/apport-do-not-override-options.pid.patch: Do not override
      options.pid.
    - d/p/apport-open-proc-pid-as-early-as-possible.patch: Open /proc/<pid> as
      early as possible.
    - d/p/fileutils-respect-proc_pid_fd-in-get_core_path.patch: Respect
      proc_pid_fd in get_core_path.
    - d/p/apport-use-opened-proc-pid-everywhere.patch: Use opened /proc/<pid>
      everywhere.
    - d/p/apport-do-consistency-check-before-forwarding-crashes.patch: Do
      consistency check before forwarding crashes.
    - d/p/apport-require-dump-mode-to-be-specified.patch: Require --dump-mode
      to be specified.
    - d/p/apport-determine-report-owner-by-dump_mode.patch: Determine report
      owner by dump_mode.
    - d/p/apport-do-not-forward-crash-for-dump_mode-2.patch: Do not forward
      crash for dump_mode == 2.
    - d/p/apport-support-pidfd-F-parameter-from-kernel.patch: Support pidfd
      (%F) parameter from kernel.
    - CVE-2025-5054

 -- Octavio Galland <octavio.galland@canonical.com>  Fri, 23 May 2025 09:41:47 -0300

apport (2.28.1-0ubuntu3.5) noble; urgency=medium

  [ Simon Chopin ]
  * d/p/tests-skip-anonymization-test-on-environments-that-a.patch:
    Fix FTBFS when building on the LP infra (LP: #2097264)

  [ Chris Peterson ]
  * d/package-hooks/ubuntu-desktop-bootstrap.py: attach files with root
    and add subiquity traceback, curtin logs, subiquity or system journal,
    hardware information, and check if snap updated (LP: #2098415).
  * d/package-hooks/subiquity.py: fix typo in path to curtin apt
    configuration (LP: #2098423).

  [ Benjamin Drung ]
  * apport-gtk: check for available display on startup (LP: #2006981)
  * python3-apport: Bump python3-problem-report dependency to >= 2.28
    for CompressedFile class (LP: #2100313)
  * test:
    - do not check for exact encoded gzip data (LP: #2076269)
    - depend on apport-gtk for new UI integration test
    - split test_find_package_desktopfile into separate test cases
      and fix test_find_package_desktopfile_multiple
    - autopkgtest: install xterm for test_find_package_desktopfile_multiple

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 27 Feb 2025 14:01:57 +0100

apport (2.28.1-0ubuntu3.3) noble; urgency=medium

  * Depend on gdb-multiarch and python3-psutil for system tests

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 26 Oct 2024 13:50:11 +0200

apport (2.28.1-0ubuntu3.2) noble; urgency=medium

  * Remove obsolete apport init.d and bash-completion conffiles (LP: #2078634)
  * recent-syslog: read stdout after process completion (LP: #2073935)
  * package_hook: Handle failures of removed packages (LP: #2078695)
  * Fix hang when cancelling/closing Apport (LP: #1537310)
  * tests:
    - fix wait_for_gdb_sleeping_child_process (LP: #2073933)
    - fix flaky tests waiting for sleep command (LP: #2076186)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 04 Oct 2024 14:50:27 +0200

apport (2.28.1-0ubuntu3.1) noble; urgency=medium

  [ Chris Peterson ]
  * d/package-hooks/subiquity.py: update information collection (LP: #2067775)
    - Add information about snap update/refresh state
    - Attach logs and change key names to align with the information
      attached by subiquity's self-collection
    - Attach hardware information
    - Ensure bug reports are always private since there may be private
      information in the logs
    - Don't require sudo for logs collection
    - Add journal logs
    - Ensure snap revision is included in both deb and snap collection
      style
    - Handle version information when permission elevation fails.

  [ Benjamin Drung ]
  * apport: do not modify permission of existing /var/crash or
    create /var/crash with setgid permission (mode 3777) (LP: #2066995)
  * apport.postinst: Create /var/crash with mode 3777 (LP: #2066995)
  * whoopsie-upload-all: exit with 0 if whoopsie is disabled (LP: #2069360)
  * Fix retracing crashes on Ubuntu 24.04 (noble) and add chaos-marmosets as
    dependency for the newly added system-tests (LP: #2067120)

  [ Sebastien Bacher ]
  * Fix some issues in the hook for ubuntu-desktop-bootstrap (LP: #2072751)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 22 Jul 2024 16:59:07 +0200

apport (2.28.1-0ubuntu3) noble; urgency=medium

  * report: fix determining bug report URL for Thunderbird (LP: #2056758)
  * setup: determine udev directory dynamically
  * Install apport-autoreport units into /usr/lib/systemd/system

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 23 Apr 2024 13:30:10 +0200

apport (2.28.1-0ubuntu2) noble; urgency=medium

  * Drop python3-distutils from autopkgtest dependencies

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 19 Apr 2024 01:50:32 +0200

apport (2.28.1-0ubuntu1) noble; urgency=medium

  [ Benjamin Drung ]
  * New bug-fix upstream release

