=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
  intltool,
  iputils-ping,
  kmod,
+ mypy,
  pylint,
  python3-apt (>= 0.7.9),
  python3-dbus,
@@ -24,11 +25,12 @@
  python3-launchpadlib,
  python3-psutil,
  python3-pytest,
- python3-requests,
  python3-rpm,
  python3-systemd,
+ python3-typeshed,
  python3-yaml,
  python3-zstandard,
+ systemd-dev,
  valgrind,
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Rules-Requires-Root: no
@@ -82,8 +84,7 @@
  python3-apt (>= 0.7.9),
  python3-httplib2,
  python3-launchpadlib,
- python3-problem-report (>= 2.28),
- python3-requests,
+ python3-problem-report (>= 0.94),
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
