## apport 2.30.0

=== debian/changelog ===
apport (2.30.0-0ubuntu4) oracular; urgency=medium

  * Disable Launchpad crash reports for 24.10 release.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 03 Oct 2024 20:09:04 +0530

apport (2.30.0-0ubuntu3) oracular; urgency=medium

  * package_hook: Handle failures of removed packages (LP: #2078695)
  * apport: Add Teamviewer to report-ignore (LP: #2041830)
  * apport-gtk: Fix TypeError on dialog close (LP: #2080524)
  * Fix hang when cancelling/closing Apport (LP: #1537310)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 02 Oct 2024 10:59:54 +0200

apport (2.30.0-0ubuntu2) oracular; urgency=medium

  * Remove obsolete apport init.d and bash-completion conffiles (LP: #2078634)
  * Remove conffile removals from before Ubuntu 24.04 (noble)
  * Bump Standards-Version to 4.7.0

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 10 Sep 2024 20:02:56 +0200

apport (2.30.0-0ubuntu1) oracular; urgency=medium

  [ Benjamin Drung ]
  * New upstream release:
    - whoopsie-upload-all: exit with 0 if whoopsie is disabled (LP: #2069360)
    - launchpad: don't systematically order retrace on private reports
      (LP: #2068933)
    - recent-syslog: read stdout after process completion (LP: #2073935)
    - Fix apport-retrace system tests on non-amd64 (LP: #2069815)
    - fix race condition in wait_for_gdb_sleeping_child_process (LP: #2073933)
    - fix flaky test_crash_system_slice (LP: #2076186)
  * Depend on gdb-multiarch and python3-psutil for system tests

  [ Chris Peterson ]
  * subiquity: handle missing log for version inspect (LP: #2067775)

  [ Sebastien Bacher ]
  * Fix some issues in the hook for ubuntu-desktop-bootstrap (LP: #2072751)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 09 Aug 2024 16:57:32 +0200
