=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
  valgrind,
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport/+git/apport
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport
 Homepage: https://wiki.ubuntu.com/Apport
