=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Test-command: cp -r tests "$AUTOPKGTEST_TMP" && cd "$AUTOPKGTEST_TMP" && python3 -m pytest -ra -v tests/unit/ tests/integration/
 Depends:
  apport,
- apport-gtk,
  apport-retrace,
  apport-valgrind,
  default-jdk-headless | java-sdk-headless,
@@ -14,7 +13,6 @@
  python3-pytest,
  python3-systemd,
  python3-zstandard,
- xterm,
 Restrictions: allow-stderr, needs-root
 Features: test-name=unit-and-integration-tests
