## apport 2.31.0

=== debian/changelog ===
apport (2.31.0-0ubuntu3) plucky; urgency=medium

  * test: fix expected traceback for Python 3.13
  * ui: fix passing possible None to ui_error_message

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 17 Jan 2025 23:24:16 +0100

apport (2.31.0-0ubuntu2) plucky; urgency=medium

  [ Benjamin Drung ]
  * Sort entries in debian/apport.maintscript
  * Depend on libxml2-utils and polkitd for the integration test
  * Drop iputils-ping test dependency

  [ Julian Andres Klode ]
  * Remove apt-key and gpg usage

 -- Julian Andres Klode <juliank@ubuntu.com>  Sat, 21 Dec 2024 13:09:25 +0100

apport (2.31.0-0ubuntu1) plucky; urgency=medium

  * New upstream release:
    - apport-cli: translate the answers Yes and No (LP: #2084650)
    - hookutils: replace iwconfig call by iw dev link calls (LP: #2090790)
    - test: do not check for exact encoded gzip data in test_write_file
      (LP: #2076269)
    - com.ubuntu.apport.policy: fix order of entries (LP: #2084152)
    - test_signal_crashes: replace the use of ping with a custom binary
      (LP: #2089387)
    - hookutils: attach_mac_events: fix dmesg capture regex (LP: #2090887)
  * Drop patches applied upstream and refresh remaining patches

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 10 Dec 2024 15:22:21 +0100

apport (2.30.0-0ubuntu5) plucky; urgency=medium

  * Enable Launchpad crash reports for plucky
  * Move Apport package hook for the Linux kernel to linux-base (LP: #2018128)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 12 Nov 2024 14:29:09 +0100
