=== debian/control ===
--- 
+++ 
@@ -15,9 +15,10 @@
  gir1.2-gtk-3.0 (>= 3.1.90),
  gir1.2-wnck-3.0,
  intltool,
- iputils-ping,
  kmod,
+ libxml2-utils,
  mypy,
+ polkitd,
  pylint,
  python3-apt (>= 0.7.9),
  python3-dbus,
