=== debian/tests/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
  default-jdk-headless | java-sdk-headless,
  dictionaries-common,
  gcc,
- iputils-ping,
  kmod,
  libc6-dev,
+ libxml2-utils,
+ polkitd,
  python3-psutil,
  python3-pytest,
  python3-systemd,
@@ -30,7 +31,6 @@
  gcc,
  gdb-multiarch,
  gnome-icon-theme,
- gpg,
  gvfs-daemons,
  psmisc,
  python3-dbus,
