## apport 2.32.0

=== debian/changelog ===
apport (2.32.0-0ubuntu5) plucky; urgency=medium

  * Add missing comma to previous change to fix build failure

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Apr 2025 12:37:34 -0400

apport (2.32.0-0ubuntu4) plucky; urgency=medium

  * Disable Launchpad crash reports for 25.04 release

 -- Tim Andersson <tim.andersson@canonical.com>  Tue, 08 Apr 2025 10:53:03 +0100

apport (2.32.0-0ubuntu3) plucky; urgency=medium

  * test: do not check for exact encoded gzip data (LP: #2076269)
  * apport: catch ProcessLookupError in forward_crash_to_container
    (LP: #2080499)
  * Bump Standards-Version to 4.7.2

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 28 Mar 2025 14:38:35 +0100

apport (2.32.0-0ubuntu2) plucky; urgency=medium

  * python3-apport: Bump python3-problem-report dependency to >= 2.28
    for CompressedFile class (LP: #2100313)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 26 Feb 2025 21:15:57 +0100

apport (2.32.0-0ubuntu1) plucky; urgency=medium

  * New upstream release
  * Drop patches applied upstream
  * depend on libglib2.0-dev and pkgconf for test_add_gdb_info_abort_glib

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 26 Feb 2025 17:31:31 +0100

apport (2.31.0+git20250220-0ubuntu2) plucky; urgency=medium

  [ Chris Peterson ]
  * Fix typos in installer package hooks (LP: #2098423):
    - d/package-hooks/subiquity.py: fix typo in path to curtin apt
      configuration.
    - d/package-hooks/ubuntu-desktop-bootstrap.py: fix typo in path to
      probe-data.json.

  [ Benjamin Drung ]
  * d/package-hooks/ubuntu-desktop-bootstrap.py:
    - fix type hint for log_map variable in attach_journal
    - add type hints to add_info
  * run-linters: check Python code in debian/ if present

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 21 Feb 2025 14:07:47 +0100

apport (2.31.0+git20250220-0ubuntu1) plucky; urgency=medium

  * New upstream snapshot
    - ui: skip value not empty check in get_complete_size (LP: #2081708)
    - problem_report: use an iterator in CompressedValue.__len__ to keep
      the memory footprint small (LP: #2081708)
    - apport-gtk: check for available display on startup (LP: #2006981)
  * Drop patches that were applied upstream
  * Apply patches that are pending upstream:
    - Split __AptDpkgPackageInfo.install_packages() into smaller methods
    - fileutils: refactor core_name in get_core_path and add type hints
    - test: some refactoring and fix test_find_package_desktopfile_multiple
  * Build-depend on python3-pyqt5 for ui_kde integration tests
  * autopkgtest:
    - depend on apport-gtk and apport-kde for new UI integration tests
    - install xterm for test_find_package_desktopfile_multiple

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 20 Feb 2025 18:55:43 +0100

apport (2.31.0-0ubuntu5) plucky; urgency=medium

  * Revert the HTTP 1.1 patch as Launchpad has issues with it (LP: #2097168)

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 07 Feb 2025 18:06:56 +0100

apport (2.31.0-0ubuntu4) plucky; urgency=medium

  [ Chris Peterson ]
  * d/package-hooks/ubuntu-desktop-bootstrap.py: attach files with root
    and add subiquity traceback, curtin logs, subiquity or system journal,
    hardware information, and check if snap updated

  [ Simon Chopin ]
  * launchpad: force CRLF as HTTP line separators (LP: #2096327)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 30 Jan 2025 18:34:02 +0100
