=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  gir1.2-wnck-3.0,
  intltool,
  kmod,
+ libglib2.0-dev,
  libxml2-utils,
  mypy,
  polkitd,
@@ -25,6 +26,7 @@
  python3-distutils-extra (>= 2.24~),
  python3-launchpadlib,
  python3-psutil,
+ python3-pyqt5,
  python3-pytest,
  python3-rpm,
  python3-systemd,
@@ -35,7 +37,7 @@
  valgrind,
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport/+git/apport
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport
 Homepage: https://wiki.ubuntu.com/Apport
@@ -85,7 +87,7 @@
  python3-apt (>= 0.7.9),
  python3-httplib2,
  python3-launchpadlib,
- python3-problem-report (>= 0.94),
+ python3-problem-report (>= 2.28),
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
