=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Test-command: cp -r tests "$AUTOPKGTEST_TMP" && cd "$AUTOPKGTEST_TMP" && python3 -m pytest -ra -v tests/unit/ tests/integration/
 Depends:
  apport,
+ apport-gtk,
+ apport-kde,
  apport-retrace,
  apport-valgrind,
  default-jdk-headless | java-sdk-headless,
@@ -8,12 +10,15 @@
  gcc,
  kmod,
  libc6-dev,
+ libglib2.0-dev,
  libxml2-utils,
+ pkgconf,
  polkitd,
  python3-psutil,
  python3-pytest,
  python3-systemd,
  python3-zstandard,
+ xterm,
 Restrictions: allow-stderr, needs-root
 Features: test-name=unit-and-integration-tests
