## apport 2.33.1

=== debian/changelog ===
apport (2.33.1-0ubuntu3) questing; urgency=medium

  * Disable Launchpad crash reports for 25.10 release

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Fri, 03 Oct 2025 14:24:19 +0200

apport (2.33.1-0ubuntu2) questing; urgency=medium

  * d/p/Add-general-hooks.patch: checksum_missmatch will not be set
    if installer kernel command line had fsck.mode=skip (LP: #2101159).

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 11 Aug 2025 12:04:43 +0200

apport (2.33.1-0ubuntu1) questing; urgency=medium

  * New upstream release
    - report:
      + check for errors in ProcMaps in crash_signature_addresses (LP: #2114171)
      + Handle FileNotFoundError when determining ExecutableTimestamp
        (LP: #2098792)
    - apport: Do not hide FileNotFoundError during crash handling
    - test: use true from GNU coreutils (LP: #2111595)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 04 Jul 2025 21:40:18 +0200

apport (2.33.0-0ubuntu1) questing; urgency=medium

  * New upstream release
    - SECURITY UPDATE: Report file insecure permissions (LP: #2106338)
      + Do not change report group to report owner's primary group.
      + CVE-2025-5467
    - SECURITY UPDATE: Race condition when forwarding core files to containers
      (LP: #2107472)
      + apport: move consistency_checks call further up
      + apport: do not override options.pid
      + apport: open /proc/<pid> as early as possible
      + fileutils: respect proc_pid_fd in get_core_path
      + apport: use opened /proc/<pid> everywhere
      + apport: do consistency check before forwarding crashes
      + apport: require --dump-mode to be specified
      + apport: determine report owner by dump_mode
      + apport: do not forward crash for dump_mode == 2
      + apport: support pidfd (%F) parameter from kernel
      + CVE-2025-5054
    - test: support coreutils rename to gnu-coreutils (LP: #2111595)
    - setuptools/java: use snakecase for option name (LP: #2111595)
    - apport: look for the exe within the proc root mount (LP: #2112272)
  * Depend on gnu-coreutils for integration/system tests
  * Depend on python3-pytest-cov in addition to python3-pytest
  * Drop patches applied upstream and refresh remaining patches
  * Address some Pyright complaints in ubuntu general hook

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 06 Jun 2025 13:53:15 +0200

apport (2.32.0-0ubuntu6) questing; urgency=medium

  * Enable Launchpad crash reports for questing
  * Add patches to fix FTBFS (LP: #2111595):
    - setuptools/java: use snakecase for option name
    - test: support coreutils rename to gnu-coreutils

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 27 May 2025 17:39:37 +0200
