=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  dh-python,
  gir1.2-gtk-3.0 (>= 3.1.90),
  gir1.2-wnck-3.0,
+ gnu-coreutils,
  intltool,
  kmod,
  libglib2.0-dev,
@@ -28,6 +29,7 @@
  python3-psutil,
  python3-pyqt5,
  python3-pytest,
+ python3-pytest-cov,
  python3-rpm,
  python3-systemd,
  python3-typeshed,
