=== debian/tests/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  default-jdk-headless | java-sdk-headless,
  dictionaries-common,
  gcc,
+ gnu-coreutils,
  kmod,
  libc6-dev,
  libglib2.0-dev,
@@ -16,6 +17,7 @@
  polkitd,
  python3-psutil,
  python3-pytest,
+ python3-pytest-cov,
  python3-systemd,
  python3-zstandard,
  xterm,
@@ -36,11 +38,13 @@
  gcc,
  gdb-multiarch,
  gnome-icon-theme,
+ gnu-coreutils,
  gvfs-daemons,
  psmisc,
  python3-dbus,
  python3-psutil,
  python3-pytest,
+ python3-pytest-cov,
  python3-systemd,
  ubuntu-dbgsym-keyring,
  ubuntu-keyring,
