=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%" \
  https://launchpad.net/@PACKAGE@/+download .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
